# Change a tax rule's rate, dates or source

`PATCH /shop/tax-rules/{id}` · Rivier · shop

Change a tax rule's rate, dates or source.

- Scope: shop:admin
- Sdk: shop.taxRule.update
- Cli: shop tax rule update

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 120
    },
    "rateBp": {
      "type": "integer",
      "minimum": 0,
      "maximum": 10000
    },
    "inclusive": {
      "type": "boolean"
    },
    "validFrom": {
      "anyOf": [
        {
          "type": "string",
          "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
        },
        {
          "type": "null"
        }
      ]
    },
    "validTo": {
      "anyOf": [
        {
          "type": "string",
          "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
        },
        {
          "type": "null"
        }
      ]
    },
    "sourceUrl": {
      "type": "string",
      "format": "uri",
      "maxLength": 500
    },
    "verifiedOn": {
      "type": "string",
      "pattern": "^\\d{4}-\\d{2}-\\d{2}$"
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/shop/tax-rules/{id}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "rateBp": 0,
  "inclusive": false,
  "validFrom": "string",
  "validTo": "string",
  "sourceUrl": "https://example.com",
  "verifiedOn": "string"
}'
```
